Bug 111028 - Kernel fails to enable APM power off when apm=power-off on SMP System
Kernel fails to enable APM power off when apm=power-off on SMP System
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-26 10:34 EST by Terry Barnaby
Modified: 2007-04-18 12:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Barnaby 2003-11-26 10:34:23 EST
Description of problem:
On a i686 Dual processor SMP system, the APM=power-off functionality
is broken. The kernel will issue an error message during boot and
the system will fail to poweroff on a poweroff command.

Version-Release number of selected component (if applicable):
2.4.20-20.9smp

How reproducible:
All the time


Steps to Reproduce:
1. Boot System with kernel parms apm=power-off
2.
3.
  
Actual results:
During boot an error message will be reported by the kernel:
kernel BUG at apm.c:1756!
invalid operand: 0000

CPU:    1
EIP:    0060:[<c0118d3e>]    Not tainted
EFLAGS: 00010202

EIP is at apm [kernel] 0x33e (2.4.20-20.9smp)
eax: 00000001   ebx: dffda000   ecx: c03c02a8   edx: c03c02ac
esi: c027e933   edi: dffda400   ebp: 00000000   esp: dffdbfd0
ds: 0068   es: 0068   ss: 0068
Process kapmd (pid: 5, stackpage=dffdb000)
Stack: 00000000 00000000 00000000 00000000 00000068 c0118a00 00000000
00000000
       c010759d 00000000 00000000 00000000
Call Trace:   [<c0118a00>] apm [kernel] 0x0 (0xdffdbfe4))
[<c010759d>] kernel_thread_helper [kernel] 0x5 (0xdffdbff0))


Code: 0f 0b dc 06 85 e8 27 c0 e9 03 fd ff ff 90 8d 74 26 00 83 ec


Expected results:
Should allow a full system poweroff


Additional info:
It appears there may be a issue with the kernel scheduler not allowing
CPU0 to run the APM code. A previous kernel release (linux-2.4.20-18.7
on Redhat 7.3) was fine.
Comment 4 Bugzilla owner 2004-09-30 11:41:43 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.